Grammatical errors with Insecure help text at Host Registration
01/12/2022 11:22 AM - Leos Stejskal

Status: Closed

Priority: Normal
Assignee: Leos Stejskal
Category: Host registration

Target version:

Difficulty: Fixed in Releases: 3.1.1,3.2.0
Triaged: Yes Found in Releases:
Bugzilla link: 1996803 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9026
Description

Steps to Reproduce:
1. Go to Hosts > Register Host
2. Click on the "?" next to the "Insecure" check box

Actual results:

"If the target machine does not trust the host SSL certificate, the initial connection could be subject to Man in the middle attack. If you
accept the risk and do not require the server authenticity to be verified, you can enable insecure argument for the initial curl. Note
that all subsequent communication is then properly secured, because the initial request deploys the SSL certificate for the rest of the
registration process."

Expected results:

"If the target machine does not trust the host SSL certificate, the initial connection could be subject to a man-in-the-middle attack. If
you accept the risk and do not require the server authenticity to be verified, you can enable insecure argument for the initial curl.
Note that all subsequent communication is then properly secured, because the initial request deploys the SSL certificate for the rest
of the registration process."

Additional notes:
| just added "a man-in-the-middle attack" to make the text more readable and consistent.

Associated revisions

Revision c429b5b4 - 01/14/2022 10:44 AM - Leos Stejskal

Fixes #34250 - Insecure help text at Host Registration

History

#1 - 01/12/2022 11:23 AM - Leos Stejskal

- Subject changed from Grammatical errors with Insecure help text at Host Registration
to Grammatical errors with Insecure help text at Host Registration

- Description updated

- Assignee set to Leos Stejskal

#2 - 01/12/2022 11:23 AM - Leos Stejskal
- Category set to Host registration

- Triaged changed from No to Yes

#3 - 01/12/2022 11:25 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9026 added

#4 - 01/14/2022 10:44 AM - The Foreman Bot
- Fixed in Releases 3.2.0 added
#5 - 01/14/2022 11:01 AM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c429b5b462cf03beba07eb2635c67e7cdaefcc88.

#6 - 01/19/2022 02:07 PM - Ondrej Ezr
- Fixed in Releases 3.1.1 added

05/20/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c429b5b462cf03beba07eb2635c67e7cdaefcc88
http://www.tcpdf.org

